import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:tony_multi_module_test/tony_multi_module_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('tony_multi_module_test');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await TonyMultiModuleTest.platformVersion, '42');
  });
}
